<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent">

    <EditText
        android:id="@+id/editSearch"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:hint="Enter place name or address" />
    <Button
        android:id="@+id/bSearch"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:text="Search Geocode" />
    <ListView
        android:id="@android:id/list" 
        android:layout_width="fill_parent" 
        android:layout_height="fill_parent"/>
        
</LinearLayout>